Run tests daily targeting beta cluster for all repositories with Selenium tests
Open, NormalPublic

Description

selenium-EXTENSION-jessie Jenkins job is currently running for only 3 extensions, CirrusSearch, Popups and RelatedArticles.

For list of repositories with Selenium tests see Write tests section of Selenium/Node.js page.

TODO

๐Ÿ Rename and update Selenium/Node.js/selenium-EXTENSION-jessie_Jenkins_job
๐Ÿ Ask extension developers if they think the job would be useful for their repository
๐Ÿ  460395: Selenium: add selenium-daily NPM script
๐Ÿ  460516: Create selenium-daily-beta-AdvancedSearch Jenkins job
๐Ÿ  460517: Create selenium-daily-beta-ORES Jenkins job
๐Ÿ  460526: Create selenium-daily-beta-Wikibase Jenkins job
๐Ÿ  460527: Create selenium-daily-beta-WikibaseLexeme Jenkins job
๐Ÿ  460555: Create selenium-daily-beta-Newsletter Jenkins job
๐Ÿ  460563: Selenium: add selenium-daily NPM script
๐Ÿ  460570: Selenium: add selenium-daily NPM script

Done

๐Ÿ 441892 Job running Echo Selenium tests daily targeting beta cluster
๐Ÿ 444235 Create selenium-daily npm script
๐Ÿ 444609 Selenium: create selenium-daily NPM script
๐Ÿ 445602 Remove ^ from package.json
๐Ÿ 445605 Order packages in package.json
๐Ÿ 445607 Selenium: use wdio-mediawiki NPM package
๐Ÿ 445652 Selenium: add selenium-daily NPM script
๐Ÿ 445649 Selenium: add selenium-daily NPM script
๐Ÿ 445643 Selenium: add selenium-daily NPM script
โšฐ๏ธ 446371 Selenium: add selenium-daily NPM script
๐Ÿ 445646 Selenium: add selenium-daily NPM script
๐Ÿ  456128: Selenium: Simplify selenium-daily NPM script
๐Ÿ  456395: Selenium: update configuration file
๐Ÿ  456131: Selenium: selenium-daily NPM script
๐Ÿ  456134: Selenium: Simplify selenium-daily NPM script
๐Ÿ  457486: Selenium: Simplify selenium-daily NPM script
๐Ÿ 443931 Selenium daily tests for beta using Docker/wdio
๐Ÿ 449485 Selenium: add selenium-daily NPM script
๐Ÿ  457488: Selenium: Simplify selenium-daily NPM script
๐Ÿ  460388 Selenium: add selenium-daily NPM script
โšฐ๏ธ 457882 Create selenium-daily-beta Jenkins jobs
๐Ÿ  460565: Selenium: add selenium-daily NPM script
๐Ÿ  460552: Create selenium-daily-beta-ElectronPdfService Jenkins job
๐Ÿ  460560: Create selenium-daily-beta-TwoColConflict Jenkins job
๐Ÿ  npm i --save-dev webdriverio wdio-mediawiki wdio-spec-reporter wdio-junit-reporter wdio-mocha-framework

Repositories with Nodepool jobs

RepositoryTask/CommitDocker
mediawiki/extensions/CirrusSearchT193244 444609 456128selenium-daily-beta-CirrusSearch โ˜€๏ธ
mediawiki/extensions/Echo444235 456134selenium-daily-beta-Echo โ˜€๏ธ
mediawiki/extensions/Math445643 457486selenium-daily-beta-Math โ˜€๏ธ
mediawiki/extensions/Popups449485selenium-daily-beta-Popups โ˜€๏ธ
mediawiki/extensions/RelatedArticles445646 457488selenium-daily-beta-RelatedArticles โ˜€๏ธ

Repositories with new jobs

RepositoryTask/CommitDockerError
mediawiki/coreT185011 446371 456131selenium-daily-beta-MediaWiki โ˜€๏ธ
mediawiki/extensions/AdvancedSearch460395 460516selenium-daily-beta-AdvancedSearch ๐Ÿ’ฃmissing script: selenium-daily
mediawiki/extensions/ElectronPdfService460552 460563selenium-daily-beta-ElectronPdfService โ˜€๏ธ
mediawiki/extensions/Newsletter460555 460565selenium-daily-beta-Newsletter โ˜€๏ธ
mediawiki/extensions/OREST198201 460388 460517selenium-daily-beta-ORES โ˜€๏ธ
mediawiki/extensions/TwoColConflict460560 460570https://integration.wikimedia.org/ci/job/selenium-daily-beta-TwoColConflict/ ๐Ÿ’ฃERROR: Cannot find module '../../../../../tests/selenium/pageobjects/edit.page'
mediawiki/extensions/WikibaseT167432 445649 460526selenium-daily-beta-Wikibase ๐Ÿ’ฃT204205
mediawiki/extensions/WikibaseLexeme445652 441827 460527selenium-daily-beta-WikibaseLexeme ๐Ÿ’ฃT200011

Related Objects

StatusAssignedTask
OpenNone
Resolvedzeljkofilipin
OpenNone
OpenWMDE-leszek
ResolvedAddshore
ResolvedJakob_WMDE
Resolvedโ€ข dpatrick
ResolvedAddshore
ResolvedNone
ResolvedAddshore
ResolvedBawolff
ResolvedAddshore
Resolvedzeljkofilipin
OpenNone
Resolvedzeljkofilipin
OpenNone
Resolvedzeljkofilipin
Resolvedzeljkofilipin
OpenNone
OpenWMDE-leszek
OpenNone
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
There are a very large number of changes, so older changes are hidden. Show Older Changes
zeljkofilipin updated the task description. (Show Details)Sep 3 2018, 3:18 PM
zeljkofilipin updated the task description. (Show Details)Sep 3 2018, 3:27 PM

Change 457488 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/RelatedArticles@master] Selenium: Simplify selenium-daily NPM script

https://gerrit.wikimedia.org/r/457488

Change 457486 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Math@master] Selenium: Simplify selenium-daily NPM script

https://gerrit.wikimedia.org/r/457486

zeljkofilipin updated the task description. (Show Details)Sep 3 2018, 3:31 PM

Change 457882 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Create selenium-daily-beta Jenkins jobs

https://gerrit.wikimedia.org/r/457882

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)

Change 457486 merged by Hashar:
[mediawiki/extensions/Math@master] Selenium: Simplify selenium-daily NPM script

https://gerrit.wikimedia.org/r/457486

zeljkofilipin updated the task description. (Show Details)Sep 5 2018, 8:15 AM

Change 449485 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Selenium: add selenium-daily NPM script

https://gerrit.wikimedia.org/r/449485

Change 443931 merged by jenkins-bot:
[integration/config@master] Selenium daily tests for beta using Docker/wdio

https://gerrit.wikimedia.org/r/443931

With https://gerrit.wikimedia.org/r/443931

Jobs that are gone:

    
selenium-CirrusSearch-jessie
selenium-Echo-jessie
selenium-Math-jessie
selenium-Popups-jessie
selenium-RelatedArticles-jessie

Replaced by:

selenium-daily-beta-CirrusSearch
selenium-daily-beta-Echo
selenium-daily-beta-Math
selenium-daily-beta-Popups
selenium-daily-beta-RelatedArticles

They all passed:

https://integration.wikimedia.org/ci/job/selenium-daily-beta-CirrusSearch/22/console
https://integration.wikimedia.org/ci/job/selenium-daily-beta-Echo/17/console
https://integration.wikimedia.org/ci/job/selenium-daily-beta-Math/16/console
https://integration.wikimedia.org/ci/job/selenium-daily-beta-Popups/18/console
https://integration.wikimedia.org/ci/job/selenium-daily-beta-RelatedArticles/18/console

Mentioned in SAL (#wikimedia-releng) [2018-09-11T09:38:18Z] <hashar> sudo cumin --force 'name:docker' 'rm -fR /srv/jenkins-workspace/workspace/selenium-daily-beta-Wikibase*' # T188742

Change 457488 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] Selenium: Simplify selenium-daily NPM script

https://gerrit.wikimedia.org/r/457488

Change 459756 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: npm-install-selenium macro is no more used

https://gerrit.wikimedia.org/r/459756

Change 459756 merged by jenkins-bot:
[integration/config@master] jjb: npm-install-selenium macro is no more used

https://gerrit.wikimedia.org/r/459756

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin changed Risk Rating from N/A to default.
zeljkofilipin updated the task description. (Show Details)

Change 460388 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/ORES@master] Selenium: add selenium-daily NPM script

https://gerrit.wikimedia.org/r/460388

zeljkofilipin updated the task description. (Show Details)

Change 460395 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/AdvancedSearch@master] Selenium: add selenium-daily NPM script

https://gerrit.wikimedia.org/r/460395

Change 460388 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Selenium: add selenium-daily NPM script

https://gerrit.wikimedia.org/r/460388

Change 460516 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Create selenium-daily-beta-AdvancedSearch Jenkins job

https://gerrit.wikimedia.org/r/460516

Change 460517 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Create selenium-daily-beta-ORES Jenkins job

https://gerrit.wikimedia.org/r/460517

Change 460526 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Create selenium-daily-beta-Wikibase Jenkins job

https://gerrit.wikimedia.org/r/460526

Change 460527 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Create selenium-daily-beta-WikibaseLexeme Jenkins job

https://gerrit.wikimedia.org/r/460527

zeljkofilipin updated the task description. (Show Details)

Change 460552 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Create selenium-daily-beta-ElectronPdfService Jenkins job

https://gerrit.wikimedia.org/r/460552

Change 460555 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Create selenium-daily-beta-Newsletter Jenkins job

https://gerrit.wikimedia.org/r/460555

Change 460560 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Create selenium-daily-beta-TwoColConflict Jenkins job

https://gerrit.wikimedia.org/r/460560

Change 460563 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/ElectronPdfService@master] Selenium: add selenium-daily NPM script

https://gerrit.wikimedia.org/r/460563

zeljkofilipin updated the task description. (Show Details)

Change 460565 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/Newsletter@master] Selenium: add selenium-daily NPM script

https://gerrit.wikimedia.org/r/460565

Change 460570 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/TwoColConflict@master] Selenium: add selenium-daily NPM script

https://gerrit.wikimedia.org/r/460570

Change 460565 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Selenium: add selenium-daily NPM script

https://gerrit.wikimedia.org/r/460565

Change 460570 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Selenium: add selenium-daily NPM script

https://gerrit.wikimedia.org/r/460570

Change 460563 merged by jenkins-bot:
[mediawiki/extensions/ElectronPdfService@master] Selenium: add selenium-daily NPM script

https://gerrit.wikimedia.org/r/460563

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed zeljkofilipin as the assignee of this task.Wed, Oct 24, 12:10 PM

Change 460526 merged by jenkins-bot:
[integration/config@master] Create selenium-daily-beta-Wikibase Jenkins job

https://gerrit.wikimedia.org/r/460526